Welcome to SpywareBlaster!

SpywareBlaster is the original anti-spyware protection solution!

Developed in 2002 to help users prevent spyware installs, SpywareBlaster pioneered the effective use of prevention techniques to reduce or greatly eliminate spyware-related problems, as well as problems related to other unwanted software such as dialers, browser hijackers, and adware.

Today's SpywareBlaster is greatly enhanced - protection is still the foremost purpose of the program, but it also provides unique utilities like the exclusive "System Snapshot", and various useful tools. The interface has been upgraded to provide easier access to all of the new options, including Restricted Sites Protection, and Mozilla/Firefox Protection.

Help keep your system safe and secure with SpywareBlaster. We hope you like it!

This help file outlines many of the functions and features in SpywareBlaster. If you need any other assistance, try the official forums at http://www.wilderssecurity.com.

SpywareBlaster is a trademark of Javacool Software LLC. Copyright © 2002-2004 Javacool Software LLC. All Rights Reserved. All other trademarks are the property of their respective owners.


Enabling Protection

Enabling SpywareBlaster's powerful protection is easy:

1.) Open SpywareBlaster
2.) Click on the "Enable All Protection" link under Quick Tasks on the main screen.
3.) Exit the program - you're done!

SpywareBlaster does not need to remain open for its protection to be active!

Simply use the Check for Updates feature at least once a week to download the latest protection (or consider AutoUpdate).


Protection

SpywareBlaster Features: Protection

When you start SpywareBlaster, the Protection Status screen is displayed.

A short description of the various buttons/links:

Status | Displays the Protection Status page
Internet Explorer | Displays the Internet Explorer protection page
Restricted Sites | Displays the Restricted Sites protection page
Mozilla/Firefox | Displays the Mozilla/Firefox protection page
Enable All Protection | Enables all SpywareBlaster Protection (Internet Explorer, Restricted Sites, and Mozilla/Firefox).
Disable All Protection | Removes all SpywareBlaster Protection (Internet Explorer, Restricted Sites, and Mozilla/Firefox).
Download Latest Protection Updates | Displays the Check for Updates wizard.


Internet Explorer Protection

SpywareBlaster's Internet Explorer protection provides two main options:

Prevent the installation of ActiveX-based spyware, dialers, etc. | Blocks the installation of spyware, adware, dialers, browser hijackers, and other potentially unwanted ActiveX-based software.
Prevent spyware/tracking cookies | Blocks cookies that may be used to track your activities, build a profile about your habits, collect information, or uniquely identify you to advertisers.

The first option works with all versions of Windows, and all versions of Internet Explorer. It is recommended that all users select the first option.

The second protection option is only available for systems with Internet Explorer 6.0 or higher. On systems with an earlier version of Internet Explorer, the "prevent spyware/tracking cookies" option will be unavailable.

Advanced Features

Finding an Item on the Block List:
To locate an item on the Block list...
1. Right-click on the Block List, and choose "Find..."
2. Enter your search terms when prompted, and press the "OK" button.

Finding Multiple Items on the Block List:
To locate multiple items on the Block List...
1. Follow the steps outlined above to Find an Item on the Block List.
2. Right-click on the Block List, and choose "Find Next"
SpywareBlaster will search for the next item that matches your search terms.

Adding an Item to the Permanent Ignore List:
If you should ever wish to set SpywareBlaster to permanently ignore an item on the Block List (i.e. never attempt to protect against it again), there is now a Permanent Ignore List. To add an item on the Block List to the Permanent Ignore List...
1. Right-click on the item in the Block List, and choose "Ignore List" > "Add Item to Ignore List".
2. Verify you have selected the correct item, and then press "Yes" when prompted.

Viewing and Managing the Permanent Ignore List:
 1. Right-click on the Block List, and choose "Ignore List" > "View Ignore List".
2. A screen will be displayed that will allow you to view the ignore list, and remove items from it if desired.

Finding More Information About Items on the Block List:
SpywareBlaster provides additional information about many items on the Block List. To obtain this additional information...
1. Right-click on the Block List, and choose "More Info on Items".
A screen will be displayed that will allow you to obtain more information on many items on the Block List.


Restricted Sites Protection

SpywareBlaster's Restricted Sites protection provides one main option:

Restrict the actions of spyware/ad/tracking sites in Internet Explorer Adds sites to the Restricted Sites zone, to restrict the actions of the sites in Internet Explorer.
Sites on this Block List may:
  • Attempt to download/install spyware, adware, dialers, browser hijackers, or other potentially unwanted ActiveX/software.
  • Attempt to use cookies (or other methods) to uniquely identify and/or track a user.
  • Attempt to exploit browser vulnerabilities for potentially malicious purposes.
  • Attempt to use browser functions to force advertisements on the user (that may also try to force the download/installation of unwanted software).
            •

    Restricted Sites Protection only works with Internet Explorer.

    Advanced Features

    Finding an Item on the Block List:
    To locate an item on the Block list...
    1. Right-click on the Block List, and choose "Find..."
    2. Enter your search terms when prompted, and press the "OK" button.

    Finding Multiple Items on the Block List:
    To locate multiple items on the Block List...
    1. Follow the steps outlined above to Find an Item on the Block List.
    2. Right-click on the Block List, and choose "Find Next"
    SpywareBlaster will search for the next item that matches your search terms.

    Adding an Item to the Permanent Ignore List:
    If you should ever wish to set SpywareBlaster to permanently ignore an item on the Block List (i.e. never attempt to protect against it again), there is now a Permanent Ignore List. To add an item on the Block List to the Permanent Ignore List...
    1. Right-click on the item in the Block List, and choose "Ignore List" > "Add Item to Ignore List".
    2. Verify you have selected the correct item, and then press "Yes" when prompted.

    Viewing and Managing the Permanent Ignore List:
     1. Right-click on the Block List, and choose "Ignore List" > "View Ignore List".
    2. A screen will be displayed that will allow you to view the ignore list, and remove items from it if desired.


Mozilla/Firefox Protection

SpywareBlaster's Mozilla/Firefox protection provides one main option:

Prevent spyware/tracking cookies Blocks cookies that may be used to track your activities, build a profile about your habits, collect information, or uniquely identify you to advertisers.

Mozilla/Firefox Protection should work with Mozilla 1.7 and higher, and Firefox 0.8 and higher.

Mozilla/Firefox are alternative web browsers. If you do not have them installed, this protection offers no benefit and will be unavailable.

Advanced Features

Finding an Item on the Block List:
To locate an item on the Block list...
1. Right-click on the Block List, and choose "Find..."
2. Enter your search terms when prompted, and press the "OK" button.

Finding Multiple Items on the Block List:
To locate multiple items on the Block List...
1. Follow the steps outlined above to Find an Item on the Block List.
2. Right-click on the Block List, and choose "Find Next"
SpywareBlaster will search for the next item that matches your search terms.

Adding an Item to the Permanent Ignore List:
If you should ever wish to set SpywareBlaster to permanently ignore an item on the Block List (i.e. never attempt to protect against it again), there is now a Permanent Ignore List. To add an item on the Block List to the Permanent Ignore List...
1. Right-click on the item in the Block List, and choose "Ignore List" > "Add Item to Ignore List".
2. Verify you have selected the correct item, and then press "Yes" when prompted.

Viewing and Managing the Permanent Ignore List:
 1. Right-click on the Block List, and choose "Ignore List" > "View Ignore List".
2. A screen will be displayed that will allow you to view the ignore list, and remove items from it if desired.


System Snapshot

SpywareBlaster Features: System Snapshot

General Description:
SpywareBlaster System Snapshot creates an "image" of various browser and system settings. Should your computer ever become infected with spyware, running System Snapshot could help remove many, if not all, components of the infection. System Snapshot can also reverse the changes of many browser hijackers.

(NOTE: It is highly recommended that you run a dedicated spyware cleaner like Spybot S & D or Ad-Aware before running System Snapshot - if your spyware cleaner detects nothing, System Snapshot is a second step. It can also be used to restore entries that many spyware cleaners do not cover, and to reset browser settings to their previous state.)

First Use:
Before you can use System Snapshot to restore, you must create a snapshot. After selecting this option and pressing "Go >" on the main System Snapshot screen, you will need to enter a name for your snapshot. It is highly recommended that you pick a memorable name, or a name of some significance, to ease the selection process for a restore, e.g. "before program X" or "after November update". After clicking the "Create Snapshot! >" button, System Snapshot will scan through various system settings (including registry entries and disk files) and create a Snapshot point.

Restoring a System Snapshot:
Selecting this option on the main System Snapshot screen will take you to the Snapshot selection area. A list will be displayed of all the System Snapshots created by the current user. (See note below for more information.) Upon selecting a System Snapshot and clicking next, SpywareBlaster System Snapshot will scan your system and compare the current state to the state recorded in the select Snapshot. If any changes or additions are detected, they will be displayed in a list. Simply select the items you wish to have fixed and press the "Restore Select Items" button to fix the detected changes/additions. The option is also provided to delete Snapshots.

NOTE: System Snapshot points are limited to the user that created them because many of the items stored only relate to that particular user. If you have a multi-user system, it is recommended that you create System Snapshots for each user/profile.
SpywareBlaster System Snapshot only shows the Snapshots the current user has created (no other saved snapshot points are shown).


How to Find More Information on Detected Items (System Snapshot)

On a Restore operation, System Snapshot provides a list of detected changes/additions. If you wish to gain more information on a particular item, simply highlight an item, and press the "More Info on Item" button located directly below the list.

The More Info on Item button displays a description of the selected item. In some cases (mostly for BHOs and Downloaded Program Files objects) the More Info button can also display additional information about the files stored on your system.


SpywareBlaster Tools

SpywareBlaster provides additional functionality in its "Tools" section. A short description of each of the Tools can be found below.

Browser Pages: This displays many of the "browser pages" on your system (for example, your homepage, various search pages, etc.) and provides the functionality to change any of them. Pages are displayed for both Internet Explorer and Mozilla.

Hosts Safe: The Hosts Safe can store encrypted backup copies or snapshots of the Hosts file. These backup copies are stored in the SpywareBlaster folder. Should you ever need to restore a backup copy of your hosts file, simply select it from the displayed list and press the "Restore Saved Backup" button.

Misc. Internet Explorer Settings: Here you can edit a few Internet Explorer settings that are not readily available through any built-in interface in IE.

Flash Killer: Macromedia Flash can be used to display animated interfaces on websites, animations, and other "Flash" content. Unfortunately, advertisers have begun to use Flash as a method for creating annoying and distracting content. And some users that wish to keep Flash off of their computers altogether have found it troublesome to prevent every website that uses Flash from installing it. Flash Killer can set the kill bit for the Macromedia Flash control (versions 4.x, 5.x, or 6.x) - preventing the installation completely and disabling it if it is already installed. Reversing this procedure is easy.

Custom Blocking: Create your own list of ActiveX controls that you want to block. Add search engine toolbars, browser plug-ins, and more - block any ActiveX control you want. You can even download Custom Blocking lists other people have created.
(Warning: Please be careful when using a Custom Blocking list someone else has created. Only consider using a Custom Blocking list if you trust the person that created it.)

If you have created a Custom Blocking list that you believe others might find useful, please post about it in the official forums at http://www.wilderssecurity.com.